# ActiveDirectoryDsc

The **ActiveDirectoryDsc** module contains DSC resources for deployment and
configuration of Active Directory.

These DSC resources allow you to configure new domains, child domains, and high
availability domain controllers, establish cross-domain trusts and manage users,
groups and OUs.

This project has adopted the [Microsoft Open Source Code of Conduct](https://opensource.microsoft.com/codeofconduct/).
For more information see the [Code of Conduct FAQ](https://opensource.microsoft.com/codeofconduct/faq/) or contact [opencode@microsoft.com](mailto:opencode@microsoft.com) with any additional questions or comments.

## Documentation and Examples

For a full list of resources in ActiveDirectoryDsc and examples on their use, check
out the [ActiveDirectoryDsc wiki](https://github.com/PowerShell/ActiveDirectoryDsc/wiki).

## Branches

### master

[![Build status](https://ci.appveyor.com/api/projects/status/x9haeb92nw57gjkh/branch/master?svg=true)](https://ci.appveyor.com/project/PowerShell/ActiveDirectoryDsc/branch/master)
[![codecov](https://codecov.io/gh/PowerShell/ActiveDirectoryDsc/branch/master/graph/badge.svg)](https://codecov.io/gh/PowerShell/ActiveDirectoryDsc/branch/master)

This is the branch containing the latest release -
no contributions should be made directly to this branch.

### dev

[![Build status](https://ci.appveyor.com/api/projects/status/x9haeb92nw57gjkh/branch/dev?svg=true)](https://ci.appveyor.com/project/PowerShell/ActiveDirectoryDsc/branch/dev)
[![codecov](https://codecov.io/gh/PowerShell/ActiveDirectoryDsc/branch/dev/graph/badge.svg)](https://codecov.io/gh/PowerShell/ActiveDirectoryDsc/branch/dev)

This is the development branch
to which contributions should be proposed by contributors as pull requests.
This development branch will periodically be merged to the master branch,
and be released to [PowerShell Gallery](https://www.powershellgallery.com/).

## Contributing

Please check out common DSC Resource [contributing guidelines](https://github.com/PowerShell/DscResources/blob/master/CONTRIBUTING.md).

## Change log

A full list of changes in each version can be found in the [change log](CHANGELOG.md).
